concepts File Reference
Utilities » Concepts

Go to the source code of this file.

## Namespaces

| std
| std::__detail

## Macros

#define | __cpp_lib_concepts
#define | _GLIBCXX_CONCEPTS

## Typedefs

template<typename _Tp >
using | std::__detail::__cref = const remove_reference_t< _Tp > &

## Functions

template<typename _Tp >
void | std::ranges::__cust_swap::swap (_Tp &, _Tp &)=delete

## Variables

template<typename _Tp , typename _Up >
concept | std::ranges::__cust_swap::__adl_swap
template<typename _Tp >
concept | std::__detail::__boolean_testable
template<typename _Tp >
concept | std::__detail::__boolean_testable_impl
template<typename _Tp >
concept | std::__detail::__class_or_enum
template<typename _Tp , typename _Up >
concept | std::__detail::__partially_ordered_with
template<typename _Tp , typename _Up >
concept | std::__detail::__same_as
template<typename _Tp , typename _Up >
concept | std::__detail::__weakly_eq_cmp_with
template<typename _Lhs , typename _Rhs >
concept | std::assignable_from
template<typename _Tp , typename _Up >
concept | std::common_reference_with
template<typename _Tp , typename _Up >
concept | std::common_with
template<typename _Tp , typename... _Args>
concept | std::constructible_from
template<typename _From , typename _To >
concept | std::convertible_to
template<typename _Tp >
concept | std::copy_constructible
template<typename _Tp >
concept | std::copyable
template<typename _Tp >
concept | std::default_initializable
template<typename _Derived , typename _Base >
concept | std::derived_from
template<typename _Tp >
concept | std::destructible
template<typename _Tp >
concept | std::equality_comparable
template<typename _Tp , typename _Up >
concept | std::equality_comparable_with
template<typename _Rel , typename _Tp , typename _Up >
concept | std::equivalence_relation
template<typename _Tp >
concept | std::floating_point
template<typename _Tp >
concept | std::integral
template<typename _Fn , typename... _Args>
concept | std::invocable
template<typename _Tp >
concept | std::movable
template<typename _Tp >
concept | std::move_constructible
template<typename _Fn , typename... _Args>
concept | std::predicate
template<typename _Tp >
concept | std::regular
template<typename _Fn , typename... _Args>
concept | std::regular_invocable
template<typename _Rel , typename _Tp , typename _Up >
concept | std::relation
template<typename _Tp , typename _Up >
concept | std::same_as
template<typename _Tp >
concept | std::semiregular
template<typename _Tp >
concept | std::signed_integral
template<typename _Rel , typename _Tp , typename _Up >
concept | std::strict_weak_order
constexpr __cust_swap::_Swap | std::ranges::swap
template<typename _Tp >
concept | std::swappable
template<typename _Tp , typename _Up >
concept | std::swappable_with
template<typename _Tp >
concept | std::totally_ordered
template<typename _Tp , typename _Up >
concept | std::totally_ordered_with
template<typename _Tp >
concept | std::unsigned_integral

## Detailed Description

This is a Standard C++ Library header.

Definition in file concepts.